#!/bin/bash

LOGS_FOLDER="logs"
LOGS_FILE="logs.txt"
LOGGER_SCRIPT="logger.sh"
PROGNAME="user_management"
source scripts/$LOGGER_SCRIPT -l $LOGS_FOLDER$LOGS_FILE -f $PROGNAME -e "DEBUG"
OPTIND=1

source scripts/appFramework.sh

OPTIND=1



function usage(){
    echo "createU -h for help, -u [username] for new user, -d [username] for db role";exit 0;
}

while getopts ":h:u:n:" opt; do
    case "${opt}" in
    	h)
            usage
            ;;
    	u)  userName=${OPTARG}
            ;;
		n)	workspaceName=${OPTARG}
			;;
	*)
	    usage
	    ;;
    esac
done

OPTIND=1


if [[ ! -z $workspaceName ]]
    then

		gainAccessWorkspace $userName $workspaceName || {
			ERRORT "Operation has failed";
			exit 1;

		}
		INFOT "success";

	fi
