<?php
$servername = "";
$username = "";
$password = "";
$dbname = "";

ini_set('log_errors','On');
ini_set('display_errors','Off');
ini_set('error_reporting', E_ALL );

function runQuery($sql, $conn) {
  echo $sql.PHP_EOL;
  if ($conn->query($sql) === TRUE) {
    echo "Good";
  }
  else {
    echo "Error: " . $sql . "<br>" . $conn->error;
  }
}

function runQueryAndGetFirstResult($sql, $column, $conn){
  echo $sql.PHP_EOL;
  $result = $conn->query($sql);
  $finalResult = array();
  if ($result->num_rows > 0) {
    // output data of each row
    while($row = $result->fetch_assoc()) {
      array_push($finalResult, $row["$column"]);
    }
    var_dump($finalResult[0]);
    return $finalResult[0];
  }
}

function insertAll ($user, $rights, $workspace, $conn) {

  // Insert workspace name
  $sql_insert_workspace = "INSERT INTO Workspace (workspace_name) VALUES ('".$workspace."');";
  runQuery($sql_insert_workspace, $conn);
  // Insert workspace groups
  $sql_insert_group = "INSERT INTO Linux_group (group_name) VALUES ('{$workspace}_read'), ('{$workspace}_write');";
  runQuery($sql_insert_group, $conn);


  // Select IDS
  $sql_select_workspace_id = "SELECT workspaceID from Workspace where workspace_name = '$workspace';";
  $workspaceId = runQueryAndGetFirstResult($sql_select_workspace_id, "workspaceID", $conn);
  $sql_select_user_id = "SELECT userID from User where username = '$user';";
  $user_id = runQueryAndGetFirstResult($sql_select_user_id, "userID", $conn);
  $sql_select_group_id = "SELECT groupID from Linux_group where group_name = '{$workspace}_{$rights}';";
  $group_id = runQueryAndGetFirstResult($sql_select_group_id, "groupID", $conn);
  $sql_select_group_id_wsp = "SELECT groupID from Linux_group where group_name = '{$workspace}_read';";
  $group_id_1 = runQueryAndGetFirstResult($sql_select_group_id_wsp, "groupID", $conn);
  $sql_select_group_id_wsp_2 = "SELECT groupID from Linux_group where group_name = '{$workspace}_write';";
  $group_id_2 = runQueryAndGetFirstResult($sql_select_group_id_wsp_2, "groupID", $conn);

  // Create relations
  $sql_insert_workspace_user = "INSERT INTO Workspace_user (workspaceID, userID) VALUES ('$workspaceId', '$user_id');";
  runQuery($sql_insert_workspace_user, $conn);
  $sql_insert_workspace_group = "INSERT INTO Workspace_group (workspaceID, groupID) VALUES ('$workspaceId', '$group_id_1')";
  runQuery($sql_insert_workspace_group, $conn);
  $sql_insert_workspace_group_2 = "INSERT INTO Workspace_group (workspaceID, groupID) VALUES ('$workspaceId', '$group_id_2')";
  runQuery($sql_insert_workspace_group_2, $conn);
  $sql_insert_user_group = "INSERT INTO User_group (userID, groupID) VALUES ('$user_id', '$group_id')";
  runQuery("$sql_insert_user_group", $conn);

}

function insertWithouWsp($user, $rights, $workspace, $conn) {
  // Insert workspace groups
  $sql_insert_group = "INSERT INTO Linux_group (group_name) VALUES ('{$workspace}_read'), ('{$workspace}_write');";
  runQuery($sql_insert_group, $conn);


  // Select IDS
  $sql_select_workspace_id = "SELECT workspaceID from Workspace where workspace_name = '$workspace';";
  $workspaceId = runQueryAndGetFirstResult($sql_select_workspace_id, "workspaceID", $conn);
  $sql_select_user_id = "SELECT userID from User where username = '$user';";
  $user_id = runQueryAndGetFirstResult($sql_select_user_id, "userID", $conn);
  $sql_select_group_id = "SELECT groupID from Linux_group where group_name = '{$workspace}_{$rights}';";
  $group_id = runQueryAndGetFirstResult($sql_select_group_id, "groupID", $conn);
  $sql_select_group_id_wsp = "SELECT groupID from Linux_group where group_name = '{$workspace}_read';";
  $group_id_1 = runQueryAndGetFirstResult($sql_select_group_id_wsp, "groupID", $conn);
  $sql_select_group_id_wsp_2 = "SELECT groupID from Linux_group where group_name = '{$workspace}_write';";
  $group_id_2 = runQueryAndGetFirstResult($sql_select_group_id_wsp_2, "groupID", $conn);

  // Create relations
  $sql_insert_workspace_user = "INSERT INTO Workspace_user (workspaceID, userID) VALUES ('$workspaceId', '$user_id');";
  runQuery($sql_insert_workspace_user, $conn);
  $sql_insert_workspace_group = "INSERT INTO Workspace_group (workspaceID, groupID) VALUES ('$workspaceId', '$group_id_1')";
  runQuery($sql_insert_workspace_group, $conn);
  $sql_insert_workspace_group_2 = "INSERT INTO Workspace_group (workspaceID, groupID) VALUES ('$workspaceId', '$group_id_2')";
  runQuery($sql_insert_workspace_group_2, $conn);
  $sql_insert_user_group = "INSERT INTO User_group (userID, groupID) VALUES ('$user_id', '$group_id')";
  runQuery("$sql_insert_user_group", $conn);
}

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);
// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}
mysqli_set_charset($conn,"utf8");


$user = $_GET['username'];
$rights = $_GET['rights'];
$workspace = $_GET['workspace'];
// Dont insert if exists
$sql_check_wsp = "SELECT workspace_name from Workspace where workspace_name = '$workspace';";
$result = $conn->query($sql_check_wsp);
if ($result->num_rows > 0) {
  insertWithouWsp($user, $rights, $workspace, $conn);
}
else {
  insertAll($user, $rights, $workspace, $conn);
}

$myfile = fopen("s.txt", "w") or die("Unable to open file!");
$txt = "1. Create a 2 Linux groups in LDAP - {$workspace}_read and {$workspace}_write \n";
fwrite($myfile, $txt);
$txt = " "





//
// // Create connection
// $conn = new mysqli($servername, $username, $password, $dbname);
//
//
// // Check connection
// if ($conn->connect_error) {
//     die("Connection failed: " . $conn->connect_error);
// }

// echo $sql;
//
// mysqli_set_charset($conn,"utf8");
// if ($conn->query($sql) === TRUE) {
// 	echo "Good";
// } else {
// 	echo "Error: " . $sql . "<br>" . $conn->error;
// }

?>
